# Bluefish HTML Editor
# Copyright (C) 1998 Olivier Sessink and Chris Mazuc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SHELL = /bin/sh


PACKAGE = bluefish
VERSION = pre0.7


top_srcdir = ..
srcdir = .
prefix = /usr
pkgdatadir = ${prefix}/share/bluefish
exec_prefix = ${prefix}
bindir = $(exec_prefix)/bin
infodir = $(prefix)/info
mandir = ${prefix}/man
localedir = ${prefix}/share/locale
gnulocaledir = $(prefix)/share/locale
aliaspath = $(localedir):.

CC = gcc
CFLAGS = -g -O2 -Wall -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/X11R6/include  -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
LDFLAGS = 
LIBS =   -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm -lrt -L/usr/lib -lgdk_imlib -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm  -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgdk_pixbuf -lgtk -lgdk -lgmodule -lglib -ldl -lXext -lX11 -lm
INSTALL = /usr/bin/ginstall -c

OBJS =	loose.dtd \
				strict.dtd \
        frameset.dtd \
        html.dtd \
        html-s.dtd \
        html-0.dtd \
				html-0s.dtd \
        html-1.dtd \
				html-1s.dtd \
        html-2.1e.dtd \
        html-3.dtd \
        html-3s.dtd \
				html-3.2.dtd \
        html-4.dtd \
				html-4-frameset.dtd \
				html-4-strict.dtd \
        xhtml1-strict.dtd \
        xhtml1-transitional.dtd \
        xhtml1-frameset.dtd \
        php3_functions \
				gen_php3_functions \
        php4_functions \
        gen_php4_functions \
        rxml_functions \
        gen_rxml_functions \
        ssi_functions

all: bluefish
bluefish: 

clean:
	rm -f core *~ *.bak

patchclean: clean
	rm -f *.orig *.rej Makefile 

distclean: patchclean

install: all
	$(INSTALL) -d -m 755 $(pkgdatadir)/man1
	$(INSTALL) -m 644 ./$(OBJS) $(pkgdatadir)

uninstall:
	/bin/rm -f $(pkgdatadir)/$(OBJS)
